<?php
/*
 CLASE PARA LA GESTION DE PROFESORES
*/
//require_once "../../../app/model/db.class.php";

class faltas_per extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE PROFESORES
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */


   //----------------------------------
   function total_reg(){
	   //conexion a la base de datos
	   $this->conectar();
     
     if (!isset($_SESSION)) { session_start(); }
     
     $query = $this->consulta("SELECT reporte_faltas.periodo, reporte_faltas.fecha, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, 
                               reporte_faltas.asignatura, reporte_faltas.codigo, alumnos.p_apellido, reporte_faltas.falta, reporte_faltas.descripcion, 
                               reporte_faltas.descuento FROM alumnos INNER JOIN (curso_asignatura_profesor INNER JOIN (matriculas INNER JOIN 
                               reporte_faltas ON matriculas.codigo = reporte_faltas.codigo) ON (curso_asignatura_profesor.asignatura = reporte_faltas.asignatura) 
                               AND (curso_asignatura_profesor.curso = matriculas.curso) AND (curso_asignatura_profesor.grado = matriculas.grado)) ON alumnos.codigo = matriculas.codigo
                               WHERE curso_asignatura_profesor.profesor='".$_SESSION['profesor']."'");

     return ($this->numero_de_filas($query));
     $this->disconnect();

	}

  //---------------------------------

	function per_cfaltas($inicio)
	{
		//conexion a la base de datos
		$this->conectar();
   
    if (!isset($_SESSION)) { session_start(); }
     
    $query = $this->consulta("SELECT reporte_faltas.periodo, reporte_faltas.fecha, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, 
                              reporte_faltas.asignatura, reporte_faltas.codigo, CONCAT(alumnos.p_apellido,' ',alumnos.s_apellido,' ',alumnos.p_nombre,' ',alumnos.s_nombre) AS nombres, reporte_faltas.falta, reporte_faltas.descripcion, 
                              reporte_faltas.descuento,reporte_faltas.estilo,reporte_faltas.orden FROM alumnos INNER JOIN (curso_asignatura_profesor INNER JOIN (matriculas INNER JOIN 
                              reporte_faltas ON matriculas.codigo = reporte_faltas.codigo) ON (curso_asignatura_profesor.asignatura = reporte_faltas.asignatura) 
                              AND (curso_asignatura_profesor.curso = matriculas.curso) AND (curso_asignatura_profesor.grado = matriculas.grado)) ON alumnos.codigo = matriculas.codigo
                              WHERE curso_asignatura_profesor.profesor='".$_SESSION['profesor']."' limit ".$inicio.",15");

    $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;

			return $data;
		}
     else{

       return '';
		}
	}

}

?>
